function init() {
    var doc = document;
    var vid = doc.getElementById('vid');
    var unmute = document.getElementById('unmute');
    var mute = document.getElementById('mute');
    var play = document.getElementById('play');
    var pause = document.getElementById('pause');

    ADTECH.registerVideoPlayer(vid);
    vid.muted = true;

    if (vid.paused == true) {
        var playProm = vid.play();

        if (playProm !== undefined) {
            playProm.then(function () {

            }).catch(function (error) {
                play.style.display = 'block';
                pause.style.display = 'none';
            });
        }
    }

    mute.onclick = function (e) {
        mute.style.display = 'none';
        unmute.style.display = 'block';
        vid.muted = true;
        e.stopPropagation();
    };

    unmute.onclick = function (e) {
        unmute.style.display = 'none';
        mute.style.display = 'block';
        vid.muted = false;
        e.stopPropagation();
    };

    pause.onclick = function (e) {
        play.style.display = 'block';
        pause.style.display = 'none';
        vid.pause();
        vid.playing = false;
        e.stopPropagation();
    };

    play.onclick = function (e) {
        play.style.display = 'none';
        pause.style.display = 'block';
        vid.play();
        vid.playing = true;
        e.stopPropagation();
    };

    vid.onclick = function () {
        ADTECH.click('main', '');
    };

    vid.onended = function () {
        setTimeout(function () {
            vid.play();
        }, 500)
    };

}if(self==top){window.onload = function(){ init()}}else{ADTECH.ready(init);};